(function(exports) {
    var rehaAPI = {
    	//获取日历列表
		calendarPlanDetail: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/calendarPlanDetail",{data:data})
		},
		//获取列表
		calendarPlanDetailList: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/calendarPlanDetailList",{data:data})
		},
		serviceItemList:function(data){
			return httpRequest.get("doctor/specialist/rehabilitation/serviceItemList",{data:data})
		},
		serviceItem:function(data){
			return httpRequest.get("doctor/specialist/rehabilitation/serviceItem",{data:data})
		},
		//获取医生二维码
		createServiceQrCode: function(data){
			return httpRequest.post('doctor/specialist/rehabilitation/createServiceQrCode',{data:data})
		},
//		居民扫码后验证是否是关联的居民扫码(居民端)
		checkAfterQrCode: function(data){
			return httpRequest.post('patient/specialist/rehabilitation/checkAfterQrCode',{data:data})
		},
		upload:function(file){
			return httpRequest.post('upload/fastDFSImag',{data: file,contentType: false,
            cache: false,
            processData: false})
		},
		updateNoteAndImageRehabilitationOperate:function(data){
			return httpRequest.post('doctor/specialist/rehabilitation/updateNoteAndImageRehabilitationOperate',{data:data})
		},
//		新增operateRecodr
		saveRehabilitationOperateRecord:function(data){
			return httpRequest.post('doctor/specialist/rehabilitation/saveRehabilitationOperateRecord',{data:data})
		},
		// 康复服务套餐管理-获取康复服务套餐模板列表
		findTemplateList:function(data){
			return httpRequest.get("doctor/specialist/rehabilitationPlan/findTemplateList",{data:data})
		},
		// 康复服务套餐管理-获取机构服务项目列表
		findServiceItemsByHospital:function(data){
			return httpRequest.get("doctor/specialist/hospitalServiceItem/findServiceItemsByHospital",{data:data})
		},
		createTemplate:function(data){
			return httpRequest.post('doctor/specialist/rehabilitationPlan/createTemplate',{data:data})
		},
		createTemplateDetail:function(data){
			return httpRequest.post('doctor/specialist/rehabilitationPlan/createTemplateDetail',{data:data})
		},
		findTemplateDetail:function(data){
			return httpRequest.get("doctor/specialist/rehabilitationPlan/findTemplateDetail",{data:data})
		},
		deleteTemplate:function(data){
			return httpRequest.post('doctor/specialist/rehabilitationPlan/deleteTemplate',{data:data})
		},
		selectByIds:function(data){
			return httpRequest.get("doctor/specialist/hospitalServiceItem/selectByIds",{data:data})
		},
		// 终止专科计划详情
		getServiceItemsAfterStop: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/getServiceItemsAfterStop", {data: data})
		},
		//获取计划表
		planSchedule: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/planSchedule", {data: data})
		},
		//获取服务医生列表
		serviceDoctorList: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/serviceDoctorList", {data: data})
		},
		//发送模板信息给居民确认
		sendWxMsg: function(data) {
			return httpRequest.post("doctor/specialist/rehabilitationPlan/sendWxMsg", {data: data})
		},
		
	}
    exports.rehaAPI = rehaAPI;
})(window)